Index: branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 1075)
+++ branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.cpp	(revision 1076)
@@ -1873,7 +1873,5 @@
 #if H_MV
   m_vpsBaseLayerInternalFlag = true; 
-#if H_MV_HLS10_GEN_VSP_BASE_LAYER_AVAIL
   m_vpsBaseLayerAvailableFlag = true; 
-#endif
 #endif
 
@@ -1901,16 +1899,7 @@
   {
     m_layerSetIdxForOlsMinus1[i]  = -1; 
-#if !H_MV_HLS10_PTL
-    m_profileLevelTierIdx[i]      = 0; 
-#endif
     for ( Int j = 0; j < MAX_VPS_NUH_LAYER_ID_PLUS1; j++)
     {
-#if H_MV_HLS10_PTL
-#if H_MV_HLS10_PTL_FIX
       m_profileTierLevelIdx[i][j] = -1; 
-#else
-      m_profileTierLevelIdx[i][j] = false; 
-#endif
-#endif
       m_outputLayerFlag[i][j] = false; 
     }
@@ -1970,12 +1959,8 @@
       m_directDependencyFlag[i][j] = false;
       m_directDependencyType[i][j] = -1; 
-#if H_MV_HLS10_REF_PRED_LAYERS
       m_dependencyFlag  [i][j]    = false; 
       m_idDirectRefLayer[i][j]    = -1; 
       m_idPredictedLayer[i][j]    = -1; 
       m_idRefLayer      [i][j]    = -1; 
-#else
-      m_refLayerId[i][j]           = -1; 
-#endif
       m_maxTidIlRefPicsPlus1[i][j]  = 7;
     }
@@ -2061,8 +2046,6 @@
   assert( getVpsNumRepFormatsMinus1() <= 255 ); 
 
-#if H_MV_HLS10_ADD_LAYERSETS
   // The value of num_add_layer_sets shall be in the range of 0 to 1023, inclusive. 
   assert( getNumAddLayerSets() >= 0 && getNumAddLayerSets() <= 1023 ); 
-#endif
   return true; 
 }
@@ -2097,5 +2080,4 @@
 {
 
-#if H_MV_HLS10_REF_PRED_LAYERS
   for( Int i = 0; i  <=  getMaxLayersMinus1(); i++ )
   {
@@ -2167,95 +2149,6 @@
   }
   m_numIndependentLayers = k;
-#else // H_MV_HLS10_GEN
-
-  for( Int i = 0; i  <= getMaxLayersMinus1(); i++ )
-  {
-    Int iNuhLId = getLayerIdInNuh( i ); 
-    m_numDirectRefLayers[ iNuhLId ] = 0; 
-    for( Int j = 0; j < i; j++ )
-    {
-      if( getDirectDependencyFlag(i , j) )
-      {
-        m_refLayerId[ iNuhLId ][m_numDirectRefLayers[ iNuhLId ]++ ] = getLayerIdInNuh( j );
-      }
-    }
-  }
-
-  for (Int i = 0 ; i < MAX_NUM_LAYER_IDS; i++ )
-  {
-    m_numRefLayers[i] = 0; 
-  }
-
-  for (Int currLayerId = 0; currLayerId <= 62; currLayerId++ ) 
-  {
-    for (Int i = 0 ; i < MAX_NUM_LAYER_IDS; i++ )
-    {
-      m_recursiveRefLayerFlag[currLayerId][i] = 0; 
-    }
-  }
-
-  for( Int i = 0; i  <=  getMaxLayersMinus1(); i++ )
-  {
-    Int iNuhLId = getLayerIdInNuh( i );
-    xSetRefLayerFlags( iNuhLId );
-    for( Int j = 0; j < 63; j++ )
-    {
-      m_numRefLayers[ iNuhLId ]  +=  m_recursiveRefLayerFlag[ iNuhLId ][ j ];
-    }
-  }
-  
-  for( Int i = 0; i <= getMaxLayersMinus1(); i++ )  // Bug in spec "<" instead of "<=" 
-  {
-    Int iNuhLId = getLayerIdInNuh( i );
-    Int predIdx = 0;
-    for( Int j = iNuhLId + 1; j < 63; j++ )
-    {
-      if( m_recursiveRefLayerFlag[ j ][ iNuhLId ] )
-      {
-        m_predictedLayerId[ iNuhLId ][ predIdx++ ] = j;
-      }
-    }
-    m_numPredictedLayers[ iNuhLId ] = predIdx;
-  }
-  
-  Bool countedLayerIdxFlag[ MAX_NUM_LAYERS ]; 
-  for( Int i = 0; i  <=  getMaxLayersMinus1(); i++ )
-  {
-    countedLayerIdxFlag[ i ] = 0;
-  }
-  for( Int i = 0, k = 0; i  <=  getMaxLayersMinus1(); i++ )
-  {
-    Int iNuhLId = getLayerIdInNuh( i );
-    if( m_numDirectRefLayers[ iNuhLId ]  ==  0 )
-    {
-      m_treePartitionLayerIdList[ k ][ 0 ] = iNuhLId;
-      m_numLayersInTreePartition[ k ]      = 1;
-
-      for( Int j = 0; j < m_numPredictedLayers[ iNuhLId ]; j++ )  
-      {
-        if( !countedLayerIdxFlag[ getLayerIdInVps( m_predictedLayerId[ iNuhLId ][ j ] ) ] )    
-        {
-          m_treePartitionLayerIdList[ k ][ m_numLayersInTreePartition[ k ] ] = m_predictedLayerId[ iNuhLId ][ j ];
-          m_numLayersInTreePartition[ k ]++;
-          countedLayerIdxFlag[ getLayerIdInVps( m_predictedLayerId[ iNuhLId ][ j ] ) ] = 1;
-        }
-      }
-      k++;
-
-      m_numIndependentLayers = k;
-    }
-  }
-#endif // H_MV_HLS10_GEN
-}
-
-#if !H_MV_HLS10_REF_PRED_LAYERS
-Int TComVPS::getRefLayerId( Int layerIdInNuh, Int idx )
-{
-  assert( idx >= 0 && idx < m_numDirectRefLayers[layerIdInNuh] );     
-  Int refLayerIdInNuh = m_refLayerId[ layerIdInNuh ][ idx ];    
-  assert ( refLayerIdInNuh >= 0 ); 
-  return refLayerIdInNuh;
-}
-#endif
+}
+
 
 Int TComVPS::getScalabilityId( Int layerIdInVps, ScalabilityType scalType )
@@ -2408,9 +2301,5 @@
 {
   assert( lsIdx >= 0 ); 
-#if H_MV_HLS10_ADD_LAYERSETS
   assert( lsIdx <= getNumLayerSets() ); 
-#else
-  assert( lsIdx <= getVpsNumLayerSetsMinus1() ); 
-#endif
   return (Int) m_layerSetLayerIdList[ lsIdx ].size(); 
 }
@@ -2436,25 +2325,4 @@
 }
 
-#if !H_MV_HLS10_REF_PRED_LAYERS
-Bool TComVPS::getInDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps, Int depth /*= 0 */ )
-{
-#if H_MV_HLS10_REF_PRED_LAYERS
-  // TBD: Remove getInDirectDependencyFlag entirely.
-  return getDependencyFlag( depLayeridInVps, refLayeridInVps );
-#else
-  assert( depth < 65 ); 
-  Bool dependentFlag = getDirectDependencyFlag( depLayeridInVps, refLayeridInVps ); 
-
-  for( Int i = 0; i < depLayeridInVps && !dependentFlag; i++ )
-  {
-    if ( getDirectDependencyFlag( depLayeridInVps, i ) )
-    {
-      dependentFlag = getInDirectDependencyFlag( i, refLayeridInVps, depth++ ); 
-    }
-  }
-  return dependentFlag;
-#endif
-}
-#endif
 
 Void TComVPS::deriveLayerSetLayerIdList()
@@ -2485,12 +2353,8 @@
   for( Int j = 0; j < getNumLayersInIdList( lsIdx ); j++ )
   {
-#if H_MV_HLS10_NESSECARY_LAYER
     if ( getNecessaryLayerFlag( i , j ))
     {
-#endif
       m_targetDecLayerIdLists[i].push_back( m_layerSetLayerIdList[ lsIdx ][ j ] ); 
-#if H_MV_HLS10_NESSECARY_LAYER
-    }
-#endif
+    }
 
     if( getOutputLayerFlag( i, j  ))
@@ -2541,28 +2405,4 @@
 }
 
-#if !H_MV_HLS10_ADD_LAYERSETS
-Void TComVPS::inferDbpSizeLayerSetZero( TComSPS* sps, Bool encoder )
-{
-  for( Int j = 0; j <= getMaxSubLayersInLayerSetMinus1( 0 ); j++ )
-  {
-    Int maxDecPicBufferingMinus1 = sps->getMaxDecPicBuffering( j ) - 1; 
-    Int numReorderPics           = sps->getNumReorderPics    ( j ); 
-    Int maxLatencyIncreasePlus1  = sps->getMaxLatencyIncrease( j ); 
-
-    if ( encoder )
-    {
-      assert( getDpbSize()->getMaxVpsDecPicBufferingMinus1(0, 0, j ) == maxDecPicBufferingMinus1 );
-      assert( getDpbSize()->getMaxVpsNumReorderPics       (0,    j ) == numReorderPics           );
-      assert( getDpbSize()->getMaxVpsLatencyIncreasePlus1 (0,    j ) == maxLatencyIncreasePlus1  );
-    }
-    else
-    {
-      getDpbSize()->setMaxVpsDecPicBufferingMinus1(0, 0, j, maxDecPicBufferingMinus1 );
-      getDpbSize()->setMaxVpsNumReorderPics       (0,    j, numReorderPics           );
-      getDpbSize()->setMaxVpsLatencyIncreasePlus1 (0,    j, maxLatencyIncreasePlus1  );        
-    }     
-  }
-}
-#endif
 Bool TComVPS::getAltOutputLayerFlagVar( Int i )
 {
@@ -2578,42 +2418,6 @@
 }
 
-#if !H_MV_HLS10_MAXNUMPICS
-Int TComVPS::getMaxNumPics( Int layerId )
-{
-  Int maxNumPics = MAX_INT; 
-  for( Int olsIdx = 0; olsIdx < getNumOutputLayerSets(); olsIdx++)
-  {
-    Int lsIdx = olsIdxToLsIdx( olsIdx ); 
-    for( Int j = 0; j < getNumLayersInIdList( lsIdx ); j++ )
-    {
-      if( getLayerSetLayerIdList(lsIdx, j ) ==  layerId )
-      {
-        Int maxSL = getMaxSubLayersInLayerSetMinus1( lsIdx ); 
-        maxNumPics = std::min( maxNumPics, getDpbSize()->getMaxVpsDecPicBufferingMinus1( olsIdx , j,  maxSL ) );
-      }
-    }
-  }
-  assert( maxNumPics != MAX_INT ); 
-  return maxNumPics;
-}
-#endif
-
-#if !H_MV_HLS10_REF_PRED_LAYERS
-Void TComVPS::xSetRefLayerFlags( Int currLayerId )
-{
-  for( Int j = 0; j < getNumDirectRefLayers( currLayerId ); j++ )
-  {
-    Int refLayerId = m_refLayerId[ currLayerId ][ j ];
-    m_recursiveRefLayerFlag[ currLayerId ][ refLayerId ] = 1;
-    for( Int k = 0; k < MAX_NUM_LAYER_IDS; k++ )
-    {
-      m_recursiveRefLayerFlag[ currLayerId ][ k ] = m_recursiveRefLayerFlag[ currLayerId ][ k ]  ||  m_recursiveRefLayerFlag[ refLayerId ][ k ];
-    }
-  }
-}
-
-#endif
-
-#if H_MV_HLS10_PTL_FIX
+
+
 Int TComVPS::inferProfileTierLevelIdx(Int i, Int j)
 {
@@ -2635,7 +2439,5 @@
   return ptlIdx;
 }
-#endif
-
-#if H_MV_HLS10_ADD_LAYERSETS
+
 Void TComVPS::deriveAddLayerSetLayerIdList(Int i)
 {
@@ -2660,7 +2462,5 @@
 }
 
-#endif
-
-#if H_MV_HLS10_NESSECARY_LAYER
+
 Void TComVPS::deriveNecessaryLayerFlags(Int olsIdx)
 {
@@ -2693,7 +2493,5 @@
   }
 }
-#endif
-
-#if H_MV_HLS10_ADD_LAYERSETS
+
 Void TComVPS::printPTL()
 {
@@ -2741,15 +2539,12 @@
 #endif
 
-#if H_MV_HLS10_AUX
   vector<Int> viewOrderIndex;
   vector<Int> auxId;
   vector<Int> dependencyId; 
   vector<Int> viewId; 
-#endif
   for (Int i = 0; i <= getMaxLayersMinus1(); i++ )
   {
     fullArray.push_back( getMaxLayersMinus1() + 1 ); 
     range.push_back( i ); 
-#if H_MV_HLS10_AUX      
     viewOrderIndex.push_back( getViewIndex   ( i ) );
     dependencyId  .push_back( getDependencyId( i ) );
@@ -2758,5 +2553,4 @@
 #if H_3D  
     depthId.push_back( getDepthId( i ) );
-#endif
 #endif
   }
@@ -2771,5 +2565,4 @@
 }
 
-#if H_MV_HLS10_AUX
 Void TComVPS::printScalabilityId()
 {
@@ -2809,5 +2602,4 @@
   std::cout << std::endl;
 }
-#endif
 
 Void TComVPS::printLayerSets()
@@ -2864,5 +2656,4 @@
 }
 
-#endif
 
 #endif // H_MV
@@ -2942,20 +2733,4 @@
 #endif
 
-#if !H_MV_HLS10_PPS
-  m_numScaledRefLayerOffsets = 0; 
-
-  for (Int i = 0; i < MAX_NUM_SCALED_REF_LAYERS; i++ )
-  {
-    m_scaledRefLayerId             [i] = -1;
-  }
-
-  for (Int i = 0; i < MAX_NUM_LAYERS; i++ )
-  {
-    m_scaledRefLayerLeftOffset     [i] = 0;
-    m_scaledRefLayerTopOffset      [i] = 0;
-    m_scaledRefLayerRiFghtOffset    [i] = 0;
-    m_scaledRefLayerBottomOffset   [i] = 0;
-  }
-#endif
 #endif
 }
@@ -3324,9 +3099,5 @@
 Void TComSPS::inferRepFormat( TComVPS* vps, Int layerIdCurr )
 {
-#if H_MV_HLS10_MULTILAYERSPS
   if ( getMultiLayerExtSpsFlag() )
-#else
-  if ( layerIdCurr > 0 )
-#endif
   { 
     Int            repFormatIdx = getUpdateRepFormatFlag() ?  getSpsRepFormatIdx() : vps->getVpsRepFormatIdx( vps->getLayerIdInVps( layerIdCurr ) ) ;
@@ -3344,5 +3115,4 @@
     setBitDepthC             ( repFormat->getBitDepthVpsChromaMinus8() + 8 ); 
     setQpBDOffsetC           ( (Int) (6* ( getBitDepthC() -8 ) ) );
- #if H_MV_HLS10_GEN_VSP_CONF_WIN
     Window &spsConf    = getConformanceWindow();    
 
@@ -3353,11 +3123,6 @@
     spsConf.setWindowTopOffset   ( repFormat->getConfWinVpsTopOffset()     );
     spsConf.setWindowBottomOffset( repFormat->getConfWinVpsBottomOffset()  );    
-#endif
-
-#if H_MV_HLS10_MULTILAYERSPS
+
    if ( getMultiLayerExtSpsFlag() && getUpdateRepFormatFlag() )
-#else 
-   if ( getLayerId() > 0 && getUpdateRepFormatFlag() )
-#endif
     {
       assert( getChromaFormatIdc()      <=  repFormat->getChromaFormatVpsIdc()         ); 
@@ -3393,9 +3158,5 @@
   const std::vector<Int>& targetDecLayerIdList = vps->getTargetDecLayerIdList( vps->olsIdxToLsIdx( targetOptLayerSetIdx )); 
 
-#if H_MV_HLS10_MULTILAYERSPS
   if ( getMultiLayerExtSpsFlag() )
-#else
-  if (getLayerId() > 0 )
-#endif
   {
     Int layerIdx = 0;         
@@ -3415,29 +3176,21 @@
       Int maxDecPicBufferingMinus1 = vps->getDpbSize()->getMaxVpsDecPicBufferingMinus1( targetOptLayerSetIdx, layerIdx, i ) ; 
 
-#if H_MV_HLS10_MULTILAYERSPS
       // This preliminary fix needs to be checked.
       Int maxNumReorderPics       = vps->getDpbSize()->getMaxVpsNumReorderPics( targetOptLayerSetIdx, i ); 
       Int maxLatencyIncreasePlus1 = vps->getDpbSize()->getMaxVpsLatencyIncreasePlus1( targetOptLayerSetIdx, i ); 
-#endif
       if ( encoder )      
       {
         assert( getMaxDecPicBuffering( i ) - 1 == maxDecPicBufferingMinus1 ); 
-#if H_MV_HLS10_MULTILAYERSPS
         // This preliminary fix needs to be checked.
         assert( getNumReorderPics( i )     == maxNumReorderPics       ); 
         assert( getMaxLatencyIncrease( i ) == maxLatencyIncreasePlus1 ); 
-#endif    
 
       }
       else
       {
-#if !H_MV_HLS10_MULTILAYERSPS
-        setMaxDecPicBuffering(i, maxDecPicBufferingMinus1 + 1 ); 
-#else
         // This preliminary fix needs to be checked.
         setMaxDecPicBuffering( maxDecPicBufferingMinus1 + 1 , i); 
         setNumReorderPics    ( maxNumReorderPics, i );
         setMaxLatencyIncrease( maxLatencyIncreasePlus1 - 1 , i); 
-#endif
       }
     }    
@@ -3447,8 +3200,4 @@
 Void TComSPS::checkRpsMaxNumPics( TComVPS* vps, Int currLayerId )
 {
-#if !H_MV_HLS10_MAXNUMPICS
-  // In spec, when rps is in SPS, nuh_layer_id of SPS is used instead 
-  // of nuh_layer_id of slice (currLayerId), this seems to be a bug.
-#endif
   for (Int i = 0; i < getRPSList()->getNumberOfReferencePictureSets(); i++ )
   {
@@ -3456,15 +3205,9 @@
     if ( !rps->getInterRPSPrediction() )
     {
-#if H_MV_HLS10_MAXNUMPICS
       rps->checkMaxNumPics( vps->getVpsExtensionFlag(), MAX_INT, getLayerId(), getMaxDecPicBuffering( getSpsMaxSubLayersMinus1() ) - 1 );   // INT_MAX to be replaced by DpbSize
-#else
-      rps->checkMaxNumPics( vps->getVpsExtensionFlag(), vps->getMaxNumPics( currLayerId ), 
-        getLayerId(), getMaxDecPicBuffering( getSpsMaxSubLayersMinus1() ) - 1 );  
-#endif
-    }
-  }
-}
-
-#if H_MV_HLS10_MULTILAYERSPS
+    }
+  }
+}
+
 Void TComSPS::inferSpsMaxSubLayersMinus1(Bool atPsActivation, TComVPS* vps)
 {
@@ -3487,5 +3230,4 @@
   }
 }
-#endif
 #endif
 
@@ -3850,9 +3592,5 @@
 {
   TComVPS* vps = getVPS(); 
-#if H_MV_HLS10_REF_PRED_LAYERS
   Int refLayerIdx = vps->getLayerIdInVps( vps->getIdDirectRefLayer( getLayerId(), i ) ); 
-#else
-  Int refLayerIdx = vps->getLayerIdInVps( vps->getRefLayerId( getLayerId(), i ) ); 
-#endif
 
   Bool refLayerPicFlag = ( vps->getSubLayersVpsMaxMinus1( refLayerIdx ) >=  getTLayer() )  && ( getTLayer() == 0  ) &&
@@ -3925,9 +3663,5 @@
 Int TComSlice::getRefPicLayerId( Int i )
 {
-#if H_MV_HLS10_REF_PRED_LAYERS
   return getVPS()->getIdDirectRefLayer( getLayerId(), getInterLayerPredLayerIdc( i ) );
-#else
-  return getVPS()->getRefLayerId( getLayerId(), getInterLayerPredLayerIdc( i ) );
-#endif
 }
 
@@ -4648,5 +4382,4 @@
 , m_nonPackedConstraintFlag(false)
 , m_frameOnlyConstraintFlag(false)
-#if H_MV_HLS10_PTL
   , m_max12bitConstraintFlag      ( false )
   , m_max10bitConstraintFlag      ( false )
@@ -4659,10 +4392,8 @@
   , m_lowerBitRateConstraintFlag  ( false )
   , m_inbldFlag                   ( false )
-#endif
 {
   ::memset(m_profileCompatibilityFlag, 0, sizeof(m_profileCompatibilityFlag));
 }
 
-#if H_MV_HLS10_PTL_INFER_FIX
 Bool ProfileTierLevel::getV2ConstraintsPresentFlag()
 {
@@ -4710,5 +4441,4 @@
 }
 
-#endif
 
 TComPTL::TComPTL()
@@ -4719,15 +4449,4 @@
 
 #if H_MV
-#if !H_MV_HLS10_PTL_INFER_FIX
-Void TComPTL::copyLevelFrom( TComPTL* source )
-{
-  getGeneralPTL()->setLevelIdc( source->getGeneralPTL()->getLevelIdc() );
-  for( Int subLayer = 0; subLayer < 6; subLayer++ )
-  {
-    setSubLayerLevelPresentFlag( subLayer, source->getSubLayerLevelPresentFlag( subLayer ) );
-    getSubLayerPTL( subLayer )->setLevelIdc( source->getSubLayerPTL( subLayer )->getLevelIdc() );
-  }
-}
-#else
 Void TComPTL::inferGeneralValues(Bool profilePresentFlag, Int k, TComPTL* refPTL)
 {
@@ -4817,5 +4536,4 @@
 }
 
-#endif
 #endif
 //! \}
@@ -4860,9 +4578,5 @@
 
   m_vpsVuiBspHrdPresentFlag = false; 
-#if H_MV_HLS10_VPS_VUI_BSP
   m_vpsVuiBspHrdParameters  = NULL;
-#else
-  m_vpsVuiBspHrdParameters  = new TComVpsVuiBspHrdParameters();
-#endif
 }
 
@@ -4910,86 +4624,5 @@
 }
 
-#if !H_MV_HLS10_VPS_VUI_BSP
-Void TComVpsVuiBspHrdParameters::checkLayerInBspFlag( TComVPS* vps, Int h )
-{
-  // It is a requirement of bitstream conformance that bitstream partition with index j shall not include 
-  // direct or indirect reference layers of any layers in bitstream partition i for any values of i and j 
-  // in the range of 0 to num_bitstream_partitions[ h ] ?1, inclusive, such that i is less than j.
-
-  for ( Int partJ = 0; partJ < getNumBitstreamPartitions( h ); partJ++ )
-  {        
-    for ( Int partI = 0; partI < partJ; partI++ )
-    {
-      for ( Int layerJ = 0; layerJ < vps->getMaxLayersMinus1(); layerJ++ )
-      {
-        if ( m_layerInBspFlag[ h ][partJ][layerJ ] )
-        {
-          for ( Int layerI = 0; layerI < vps->getMaxLayersMinus1(); layerI++ )
-          {
-            if ( m_layerInBspFlag[ h ][partI][layerI] )
-            {
-              assert( !vps->getInDirectDependencyFlag( layerI, layerJ ) ); 
-            }
-          }
-        }
-      }
-    }
-  }
-
-  // ---------------
-  // To be added: 
-  // When vps_base_layer_internal_flag is equal to 0 and layer_in_bsp_flag[ h ][ i ][ 0 ] is equal to 1 for any value of h in the 
-  // range of 1 to vps_num_layer_sets_minus1, inclusive, and any value of i in the range of 0 to num_bitstream_partitions[ h ] - 1, 
-  // inclusive, the value of layer_in_bsp_flag[ h ][ i ][ j ] for at least one value of j in the range of 1 to 
-  // NumLayersInIdList[ h ] - 1, inclusive, shall be equal to 1.
-  // ---------------
-
-
-  // When num_bitstream_partitions[ h ] is equal to 1 for any value of h in the range 1 to vps_num_layer_set_minus1, inclusive, 
-  // the value of layer_in_bsp_flag[ h ][ 0 ][ j ] should be equal to 0 for at least one value of j in the range 0 to 
-  // NumLayersInIdList[ h ] ? 1, inclusive. 
-
-
-  if ( getNumBitstreamPartitions( h ) == 1 )
-  {
-    Bool atLeastOneZero = false; 
-    for ( Int j = 0; j <= vps->getNumLayersInIdList( h ) - 1; j++ )
-    {
-      atLeastOneZero = atLeastOneZero || !getLayerInBspFlag( h, 0, j ); 
-    }    
-    assert( atLeastOneZero ); 
-  }
-
-  
-  // For any value of h in the range 1 to vps_num_layer_set_minus1, inclusive, the value of layer_in_bsp_flag[ h ][ i ][ j ] 
-  // shall be equal to 1 for at most one value of i in the range of 0 to num_bitstream_partitions[ h ] ? 1, inclusive. 
-
-  for ( Int j = 0; j <= vps->getNumLayersInIdList( h ) - 1; j++ )
-  {
-    Int numLayerInBsp = 0; 
-    for ( Int i = 0; i <= getNumBitstreamPartitions( h ) - 1; i++ )
-    {
-      numLayerInBsp += ( getLayerInBspFlag( h, i, j ) ? 1 : 0 );  
-    }    
-    assert( numLayerInBsp <= 1 ); 
-  }
-
-}
-
-Void TComVpsVuiBspHrdParameters::checkBspCombHrdAndShedIdx( TComVPS* vps, Int h, Int i, Int j )
-{
-  // bsp_comb_hrd_idx
-  assert( getBspCombSchedIdx(h, i, j ) >= 0 );
-  assert( getBspCombSchedIdx(h, i, j ) <= getVpsNumBspHrdParametersMinus1() );
-
-  // bsp_comb_sched_idx
-  assert( getBspCombSchedIdx(h, i, j ) >= 0 );
-
-  //* This check needs to activated,  when HighestTid is available here    
-  //  assert(  getBspCombSchedIdx(h, i, j ) <= vps->getHrdParameters( getBspCombHrdIdx( h, i, j ) )->getCpbCntMinus1( highestTid ) );
-}
-#endif
-
-#if H_MV_HLS10_VPS_VUI_BSP
+
 
 TComVpsVuiBspHrdParameters::~TComVpsVuiBspHrdParameters()
@@ -5089,5 +4722,4 @@
 }
 
-#endif
 
 Void TComVUI::inferVideoSignalInfo( TComVPS* vps, Int layerIdCurr )
@@ -5125,9 +4757,5 @@
       for (Int k = 0; k < MAX_NUM_LAYER_IDS; k++ )
       {
-#if H_MV_HLS10_ADD_LAYERSETS
         m_maxVpsDecPicBufferingMinus1[i][k][j] = MIN_INT; 
-#else
-        m_maxVpsDecPicBufferingMinus1[i][k][j] = 0; 
-#endif
       }
     }
Index: branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1075)
+++ branches/HTM-12.1-dev0/source/Lib/TLibCommon/TComSlice.h	(revision 1076)
@@ -45,10 +45,8 @@
 #include "TComRom.h"
 #include "TComList.h"
-#if H_MV_HLS10_GEN_FIX
 #if H_MV
 #include <ios>
 #include <iostream>
 #include <iomanip>
-#endif
 #endif
 //! \ingroup TLibCommon
@@ -207,5 +205,4 @@
   Bool m_frameOnlyConstraintFlag;
   
-#if H_MV_HLS10_PTL
 #if H_MV
   Bool m_max12bitConstraintFlag;
@@ -220,5 +217,4 @@
   Bool m_inbldFlag;
 #endif
-#endif
 public:
   ProfileTierLevel();
@@ -252,5 +248,4 @@
 
 #if H_MV
-#if H_MV_HLS10_PTL
   Void setMax12bitConstraintFlag( Bool flag ) { m_max12bitConstraintFlag = flag; } 
   Bool getMax12bitConstraintFlag(  ) { return m_max12bitConstraintFlag; } 
@@ -281,11 +276,8 @@
   Void setInbldFlag( Bool flag ) { m_inbldFlag = flag; } 
   Bool getInbldFlag(  ) { return m_inbldFlag; } 
-#endif
-#if H_MV_HLS10_PTL_INFER_FIX
   Bool getV2ConstraintsPresentFlag();  
   Bool getInbldPresentFlag();
   Void copyV2ConstraintFlags( ProfileTierLevel* ptlRef );
   Void copyProfile( ProfileTierLevel* ptlRef );
-#endif
 #endif
 };
@@ -310,10 +302,6 @@
   ProfileTierLevel* getSubLayerPTL(Int i)  { return &m_subLayerPTL[i]; }
 #if H_MV
-#if H_MV_HLS10_PTL_INFER_FIX
   Void inferGeneralValues ( Bool profilePresentFlag  , Int k, TComPTL* refPTL );; 
   Void inferSubLayerValues( Int maxNumSubLayersMinus1, Int k, TComPTL* refPTL );; 
-#else
-  Void copyLevelFrom( TComPTL* source );
-#endif
 #endif
 };
@@ -501,5 +489,4 @@
 class TComVpsVuiBspHrdParameters
 {
-#if H_MV_HLS10_VPS_VUI_BSP
 
   /* Not yet tested */
@@ -563,45 +550,4 @@
   Void setHrdParametermeters( Int k, TComHRD* val  ) {  *(m_hrdParameters + k ) = *val; }; 
   TComHRD* getHrdParametermeters( Int k ) {  return m_hrdParameters + k; }; 
-#else 
-private: 
-  Int  m_vpsNumBspHrdParametersMinus1;
-  Bool m_bspCprmsPresentFlag[MAX_NUM_BSP_HRD_PARAMETERS];
-  Int  m_numBitstreamPartitions[MAX_VPS_OP_SETS_PLUS1];
-  Bool m_layerInBspFlag[MAX_VPS_OP_SETS_PLUS1][MAX_NUM_BSP_HRD_PARAMETERS][MAX_NUM_LAYERS];
-  Int  m_numBspSchedCombinationsMinus1[MAX_VPS_OP_SETS_PLUS1];
-  Int  m_bspCombHrdIdx[MAX_VPS_OP_SETS_PLUS1][MAX_NUM_BSP_HRD_PARAMETERS][MAX_NUM_BSP_SCHED_COMBINATION];
-  Int  m_bspCombSchedIdx[MAX_VPS_OP_SETS_PLUS1][MAX_NUM_BSP_HRD_PARAMETERS][MAX_NUM_BSP_SCHED_COMBINATION];
-  TComHRD* m_hrdParameters[MAX_NUM_BSP_HRD_PARAMETERS]; 
-public: 
-
-  Void setVpsNumBspHrdParametersMinus1( Int  val ) { m_vpsNumBspHrdParametersMinus1 = val; } 
-  Int  getVpsNumBspHrdParametersMinus1(  ) { return m_vpsNumBspHrdParametersMinus1; } 
-
-  Void setBspCprmsPresentFlag( Int i, Bool flag ) { m_bspCprmsPresentFlag[i] = flag; } 
-  Bool getBspCprmsPresentFlag( Int i ) { return m_bspCprmsPresentFlag[i]; } 
-
-  Void setNumBitstreamPartitions( Int h, Int  val ) { m_numBitstreamPartitions[h] = val; } 
-  Int  getNumBitstreamPartitions( Int h ) { return m_numBitstreamPartitions[h]; } 
-
-  Void setLayerInBspFlag( Int h, Int i, Int j, Bool flag ) { m_layerInBspFlag[h][i][j] = flag; } 
-  Bool getLayerInBspFlag( Int h, Int i, Int j ) { return m_layerInBspFlag[h][i][j]; } 
-  Void checkLayerInBspFlag ( TComVPS* vps, Int h );  
-
-  Void setNumBspSchedCombinationsMinus1( Int h, Int  val ) { m_numBspSchedCombinationsMinus1[h] = val; } 
-  Int  getNumBspSchedCombinationsMinus1( Int h ) { return m_numBspSchedCombinationsMinus1[h]; } 
-
-  Void setBspCombHrdIdx( Int h, Int i, Int j, Int  val ) { m_bspCombHrdIdx[h][i][j] = val; } 
-  Int  getBspCombHrdIdx( Int h, Int i, Int j ) { return m_bspCombHrdIdx[h][i][j]; } 
-  Int  getBspCombHrdIdxLen() { return gCeilLog2( getVpsNumBspHrdParametersMinus1() + 1);  }; 
-
-
-  Void setBspCombSchedIdx( Int h, Int i, Int j, Int  val ) { m_bspCombSchedIdx[h][i][j] = val; } 
-  Int  getBspCombSchedIdx( Int h, Int i, Int j ) { return m_bspCombSchedIdx[h][i][j]; } 
-
-  Void checkBspCombHrdAndShedIdx( TComVPS* vps, Int h, Int i, Int j );
-
-  Void setHrdParametermeters( Int k, TComHRD* val  ) {  m_hrdParameters[k] = val; }; 
-  TComHRD* getHrdParametermeters( Int k ) {  return m_hrdParameters[k]; }; 
-#endif
 };
 
@@ -630,8 +576,6 @@
   Bool m_wppNotInUseFlag;
   Bool m_wppInUseFlag                [MAX_NUM_LAYERS];
-#if H_MV_HLS10_VPS_VUI
   Bool m_singleLayerForNonIrapFlag;
   Bool m_higherLayerIrapSkipFlag;
-#endif
   Bool m_ilpRestrictedRefLayersFlag;
   Int  m_minSpatialSegmentOffsetPlus1[MAX_NUM_LAYERS][MAX_NUM_LAYERS];
@@ -708,5 +652,4 @@
   Bool getWppInUseFlag( Int i ) { return m_wppInUseFlag[i]; } 
 
-#if H_MV_HLS10_VPS_VUI
   Void setSingleLayerForNonIrapFlag( Bool flag ) { m_singleLayerForNonIrapFlag = flag; } 
   Bool getSingleLayerForNonIrapFlag(  ) { return m_singleLayerForNonIrapFlag; } 
@@ -714,5 +657,4 @@
   Void setHigherLayerIrapSkipFlag( Bool flag ) { m_higherLayerIrapSkipFlag = flag; } 
   Bool getHigherLayerIrapSkipFlag(  ) { return m_higherLayerIrapSkipFlag; } 
-#endif
 
   Void setIlpRestrictedRefLayersFlag( Bool flag ) { m_ilpRestrictedRefLayersFlag = flag; } 
@@ -750,5 +692,4 @@
   Int  m_bitDepthVpsLumaMinus8;
   Int  m_bitDepthVpsChromaMinus8;
-#if H_MV_HLS10_GEN_VSP_CONF_WIN
   Bool m_conformanceWindowVpsFlag;
   Int  m_confWinVpsLeftOffset;
@@ -756,9 +697,7 @@
   Int  m_confWinVpsTopOffset;
   Int  m_confWinVpsBottomOffset;
-#endif
 
 public: 
 
-#if H_MV_HLS10_GEN_VSP_CONF_WIN
   TComRepFormat()
   { 
@@ -769,7 +708,4 @@
   m_confWinVpsBottomOffset   = 0;
   };  
-#else
-  TComRepFormat() { };  
-#endif
 
   Void setChromaAndBitDepthVpsPresentFlag( Bool flag ) { m_chromaAndBitDepthVpsPresentFlag = flag; } 
@@ -796,5 +732,4 @@
   Int  getBitDepthVpsChromaMinus8(  ) { return m_bitDepthVpsChromaMinus8; } 
 
-#if H_MV_HLS10_GEN_VSP_CONF_WIN
   Void setConformanceWindowVpsFlag( Bool flag ) { m_conformanceWindowVpsFlag = flag; } 
   Bool getConformanceWindowVpsFlag(  ) { return m_conformanceWindowVpsFlag; } 
@@ -811,5 +746,4 @@
   Void setConfWinVpsBottomOffset( Int  val ) { m_confWinVpsBottomOffset = val; } 
   Int  getConfWinVpsBottomOffset(  ) { return m_confWinVpsBottomOffset; } 
-#endif
 };
 
@@ -834,9 +768,5 @@
 
   Void setMaxVpsDecPicBufferingMinus1( Int i, Int k, Int j, Int  val ) { m_maxVpsDecPicBufferingMinus1[i][k][j] = val; } 
-  #if H_MV_HLS10_ADD_LAYERSETS
   Int  getMaxVpsDecPicBufferingMinus1( Int i, Int k, Int j ) { assert( m_maxVpsDecPicBufferingMinus1[i][k][j] >= 0 ); return m_maxVpsDecPicBufferingMinus1[i][k][j]; }     
-  #else
-  Int  getMaxVpsDecPicBufferingMinus1( Int i, Int k, Int j ) { return m_maxVpsDecPicBufferingMinus1[i][k][j]; } 
-  #endif
 
   Void setMaxVpsNumReorderPics( Int i, Int j, Int  val ) { m_maxVpsNumReorderPics[i][j] = val; } 
@@ -853,7 +783,5 @@
 #if H_MV
   Bool        m_vpsBaseLayerInternalFlag;
-#if H_MV_HLS10_GEN_VSP_BASE_LAYER_AVAIL
   Bool        m_vpsBaseLayerAvailableFlag;
-#endif // H_MV_HLS10_GEN
 #endif
 
@@ -925,9 +853,5 @@
   Int         m_layerSetIdxForOlsMinus1  [MAX_VPS_OUTPUTLAYER_SETS];  
   Bool        m_outputLayerFlag          [MAX_VPS_OUTPUTLAYER_SETS][MAX_VPS_NUH_LAYER_ID_PLUS1];
-#if H_MV_HLS10_PTL
   Int         m_profileTierLevelIdx      [MAX_VPS_OUTPUTLAYER_SETS ][MAX_NUM_LAYERS];
-#else  
-  Int         m_profileLevelTierIdx      [MAX_VPS_OUTPUTLAYER_SETS ];
-#endif
   Bool        m_altOutputLayerFlag       [MAX_VPS_OUTPUTLAYER_SETS];
   Bool        m_repFormatIdxPresentFlag;
@@ -958,33 +882,19 @@
   // VPS EXTENSION SEMANTICS VARIABLES
   Int         m_layerIdInVps             [MAX_NUM_LAYERS   ];
-#if H_MV_HLS10_REF_PRED_LAYERS
   Int         m_dependencyFlag           [MAX_NUM_LAYERS][MAX_NUM_LAYERS]; 
-#endif
 
   Int         m_numDirectRefLayers       [MAX_NUM_LAYERS];
-#if H_MV_HLS10_REF_PRED_LAYERS
   Int         m_idDirectRefLayer         [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#else
-  Int         m_refLayerId               [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#endif
 
   Int         m_numRefLayers             [MAX_NUM_LAYER_IDS]; 
-#if H_MV_HLS10_REF_PRED_LAYERS
   Int         m_idRefLayer               [MAX_NUM_LAYERS][MAX_NUM_LAYERS];  
-#endif
 
 
   Int         m_numPredictedLayers       [MAX_NUM_LAYERS ]; 
-#if !H_MV_HLS10_REF_PRED_LAYERS
-  Int         m_predictedLayerId         [MAX_NUM_LAYERS][MAX_NUM_LAYER_IDS];
-#else
   Int         m_idPredictedLayer         [MAX_NUM_LAYERS][MAX_NUM_LAYER_IDS];
-#endif
   Int         m_numIndependentLayers; 
   Int         m_numLayersInTreePartition [MAX_NUM_LAYER_IDS];
   Int         m_treePartitionLayerIdList [MAX_NUM_LAYERS][MAX_NUM_LAYER_IDS];
-#if H_MV_HLS10_REF_PRED_LAYERS
   Bool        m_recursiveRefLayerFlag    [MAX_NUM_LAYER_IDS][MAX_NUM_LAYER_IDS]; 
-  #endif
   Int         m_viewIndex                [MAX_NUM_LAYERS   ];
   
@@ -993,13 +903,9 @@
   std::vector< std::vector< Int> >       m_layerSetLayerIdList; 
 
-#if H_MV_HLS10_NESSECARY_LAYER
   Int        m_numNecessaryLayers        [MAX_VPS_OUTPUTLAYER_SETS];
   Bool       m_necessaryLayerFlag        [MAX_VPS_OUTPUTLAYER_SETS][MAX_NUM_LAYERS]; 
-#endif
 
   Int         xGetDimBitOffset( Int j );
-#if H_MV_HLS10_REF_PRED_LAYERS
   Void        xSetRefLayerFlags( Int currLayerId );
-#endif
   // VPS EXTENSION 2 SYNTAX ELEMENTS
 #if H_3D_ARP
@@ -1069,9 +975,7 @@
   Void    setVpsBaseLayerInternalFlag( Bool flag ) { m_vpsBaseLayerInternalFlag = flag; } 
   Bool    getVpsBaseLayerInternalFlag(  )          { return m_vpsBaseLayerInternalFlag; } 
-#if H_MV_HLS10_GEN_VSP_BASE_LAYER_AVAIL
   Void    setVpsBaseLayerAvailableFlag( Bool flag ) { m_vpsBaseLayerAvailableFlag = flag; } 
   Bool    getVpsBaseLayerAvailableFlag(  )          { return m_vpsBaseLayerAvailableFlag; } 
 #endif
-#endif
 
   UInt    getMaxTLayers  ()                   { return m_uiMaxTLayers;   }
@@ -1080,7 +984,5 @@
 #if H_MV    
   UInt    getMaxSubLayersMinus1()             { return m_uiMaxTLayers - 1;  }  // For consistency with draft spec
-#if H_MV_HLS10_GEN_FIX
   Void    setMaxSubLayersMinus1(UInt val)     { m_uiMaxTLayers = (val + 1); };
-#endif
   UInt    getMaxLayersMinus1()                { return m_uiMaxLayersMinus1;  }; 
   Void    setMaxLayersMinus1(UInt l)          { m_uiMaxLayersMinus1 = l; }
@@ -1122,9 +1024,5 @@
 
 #if H_MV
-#if H_MV_HLS10_PTL
   TComPTL* getPTL( Int idx = 0 ) { return &m_pcPTL[idx]; }
-#else
-  TComPTL* getPTL( Int layerSet = 0 ) { return &m_pcPTL[layerSet]; }
-#endif
 #else
   TComPTL* getPTL() { return &m_pcPTL; }
@@ -1213,14 +1111,7 @@
   Bool    inferOutputLayerFlag( Int i, Int j );
 
-#if H_MV_HLS10_PTL
   Void    setProfileTierLevelIdx( Int i, Int j, Int val )                  { m_profileTierLevelIdx[ i ][ j ] = val; }
   Int     getProfileTierLevelIdx( Int i, Int j )                           { return m_profileTierLevelIdx[ i ][ j ]; } 
-#if H_MV_HLS10_PTL_FIX
   Int     inferProfileTierLevelIdx( Int i, Int j );
-#endif
-#else
-  Void    setProfileLevelTierIdx( Int outLayerSetIdx, Int val )            { m_profileLevelTierIdx[ outLayerSetIdx ] = val; }
-  Int     getProfileLevelTierIdx( Int outLayerSetIdx )                     { return m_profileLevelTierIdx[ outLayerSetIdx ]; } 
-#endif
   
   Void    setAltOutputLayerFlag( Int i, Bool flag )                        { m_altOutputLayerFlag[i] = flag; } 
@@ -1252,7 +1143,4 @@
   TComDpbSize* getDpbSize( )                                               { return m_dpbSize;} 
   
-#if !H_MV_HLS10_ADD_LAYERSETS  
-  Void    inferDbpSizeLayerSetZero( TComSPS* sps, Bool encoder );
-#endif
 
   Void    setPocLsbNotPresentFlag( Int i, Bool flag )                      { m_pocLsbNotPresentFlag[i] = flag; } 
@@ -1285,27 +1173,16 @@
 
   Int     getViewIndex    ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), VIEW_ORDER_INDEX  ); }    
-#if H_MV_HLS10_AUX
   Int     getAuxId        ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), AUX_ID  ); }    
   Int     getDependencyId ( Int layerIdInNuh )                             { return getScalabilityId( getLayerIdInVps(layerIdInNuh), DEPENDENCY_ID  ); }    
-#endif
   Int     getNumViews();
 
-#if H_MV_HLS10_REF_PRED_LAYERS
   Bool    getDependencyFlag( Int i, Int j )                                { return m_dependencyFlag[i][j]; }
-#endif
   Int     getNumDirectRefLayers( Int layerIdInNuh )                        { return m_numDirectRefLayers[ layerIdInNuh ];  };                               
-#if !H_MV_HLS10_REF_PRED_LAYERS
-  Int     getRefLayerId        ( Int layerIdInNuh, Int idx );; 
-#endif
   Int     getNumRefLayers            ( Int i )        { return m_numRefLayers[i]; } 
   Int     getNumPredictedLayers      ( Int i )        { return m_numPredictedLayers[i]; } 
 
-#if !H_MV_HLS10_REF_PRED_LAYERS  
-  Int     getPredictedLayerId        ( Int i, Int j ) { return m_predictedLayerId[i][j]; } 
-#else
   Int     getIdRefLayer              ( Int i, Int j ) { assert( j >= 0 && j < getNumRefLayers      ( i )); return m_idRefLayer      [i][j]; } 
   Int     getIdPredictedLayer        ( Int i, Int j ) { assert( j >= 0 && j < getNumPredictedLayers( i )); return m_idPredictedLayer[i][j]; } 
   Int     getIdDirectRefLayer        ( Int i, Int j ) { assert( j >= 0 && j < getNumDirectRefLayers( i )); return m_idDirectRefLayer[i][j]; } 
-#endif
   Int     getNumIndependentLayers    (  )             { return m_numIndependentLayers; } 
   Int     getNumLayersInTreePartition( Int i )        { return m_numLayersInTreePartition[i]; } 
@@ -1314,16 +1191,10 @@
   Int     getNumLayerSets( )                                               { return getVpsNumLayerSetsMinus1() + 1 + getNumAddLayerSets();  };  
   
-#if H_MV_HLS10_ADD_LAYERSETS
   Int     getFirstAddLayerSetIdx()                    { return getVpsNumLayerSetsMinus1() + 1; } 
   Int     getLastAddLayerSetIdx()                     { return getFirstAddLayerSetIdx() + getNumAddLayerSets() - 1; }
-#endif
   Bool    checkVPSExtensionSyntax(); 
   Int     scalTypeToScalIdx   ( ScalabilityType scalType );
 
-#if H_MV_HLS10_PTL
   Int     getProfileTierLevelIdxLen()                                      { return gCeilLog2( getVpsNumProfileTierLevelMinus1() + 1 ); };       
-#else
-  Int     getProfileLevelTierIdxLen()                                      { return gCeilLog2( getVpsNumProfileTierLevelMinus1() + 1 ); };       
-#endif
   Int     getVpsRepFormatIdxLen()                                          { return gCeilLog2( getVpsNumRepFormatsMinus1() + 1 ); };       
 
@@ -1336,9 +1207,5 @@
   Void    deriveLayerSetLayerIdList();
 
-#if H_MV_HLS10_ADD_LAYERSETS
   Int     olsIdxToLsIdx( Int i )                                           { return ( i < getNumLayerSets() ) ? i  : getLayerSetIdxForOlsMinus1( i ) + 1 ; };
-#else
-  Int     olsIdxToLsIdx( Int i )                                           { return ( i <= getVpsNumLayerSetsMinus1() ) ? i  : getLayerSetIdxForOlsMinus1( i ) + 1 ; };
-#endif
   Void    initTargetLayerIdLists  ( );
   Void    deriveTargetLayerIdList ( Int i );
@@ -1349,11 +1216,7 @@
   Int     getOlsHighestOutputLayerId( Int i )                              { return getTargetOptLayerIdList( i ).back(); };  
 
-#if H_MV_HLS10_ADD_LAYERSETS
   Void    deriveAddLayerSetLayerIdList( Int i );
-#endif
-#if H_MV_HLS10_NESSECARY_LAYER
   Void    deriveNecessaryLayerFlags( Int olsIdx );;
   Int     getNecessaryLayerFlag( Int i, Int j )                            { AOF( i >= 0 && i < getNumOutputLayerSets() ); AOF( j >= 0 && j < getNumLayersInIdList( olsIdxToLsIdx( i ) )  );  return m_necessaryLayerFlag[i][j]; };  
-#endif
 
   Int     getMaxSubLayersInLayerSetMinus1( Int i );
@@ -1366,16 +1229,7 @@
 
   // helpers
-#if !H_MV_HLS10_REF_PRED_LAYERS
-  Bool    getInDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps, Int depth = 0 );
-#endif
-#if !H_MV_HLS10_MAXNUMPICS
-  Int     getMaxNumPics( Int layerId );
-#endif
-#if H_MV_HLS10_ADD_LAYERSETS
   Void    printPTL();
   Void    printLayerDependencies();
-#if H_MV_HLS10_AUX
   Void    printScalabilityId();;
-#endif
   Void    printLayerSets();;
 
@@ -1422,5 +1276,4 @@
     xPrintArray( name, 1, idx2, numElemDim2, vec2, printNumber, false );
   }
-#endif
 
 
@@ -1837,8 +1690,6 @@
   TComVPS*    m_pcVPS; 
   // SPS 
-#if H_MV_HLS10_MULTILAYERSPS
   Int         m_spsMaxSubLayersMinus1;
   Int         m_spsExtOrMaxSubLayersMinus1;
-#endif
   Bool        m_spsExtensionPresentFlag; 
 
@@ -1858,12 +1709,4 @@
   // SPS Extension 
   Bool        m_interViewMvVertConstraintFlag;
-#if !H_MV_HLS10_PPS
-  Int         m_numScaledRefLayerOffsets;
-  Int         m_scaledRefLayerId          [MAX_NUM_SCALED_REF_LAYERS];
-  Int         m_scaledRefLayerLeftOffset  [MAX_NUM_LAYERS];
-  Int         m_scaledRefLayerTopOffset   [MAX_NUM_LAYERS];
-  Int         m_scaledRefLayerRightOffset [MAX_NUM_LAYERS];
-  Int         m_scaledRefLayerBottomOffset[MAX_NUM_LAYERS];
-#endif
 #endif
 #if H_3D
@@ -1969,7 +1812,5 @@
 #if H_MV
   UInt      getSpsMaxSubLayersMinus1()                { return ( m_uiMaxTLayers - 1); }
-#if H_MV_HLS10_MULTILAYERSPS
   Void      setSpsMaxSubLayersMinus1( UInt val )       { setMaxTLayers( val + 1 ); }
-#endif
 #endif
 
@@ -2004,5 +1845,4 @@
   TComPTL* getPTL()     { return &m_pcPTL; }
 #if H_MV
-#if H_MV_HLS10_MULTILAYERSPS
   Void setSpsExtOrMaxSubLayersMinus1( Int  val ) { m_spsExtOrMaxSubLayersMinus1 = val; } 
   Int  getSpsExtOrMaxSubLayersMinus1(  ) { return m_spsExtOrMaxSubLayersMinus1; } 
@@ -2010,5 +1850,4 @@
 
   Bool getMultiLayerExtSpsFlag()            { return ( getLayerId() != 0  &&  getSpsExtOrMaxSubLayersMinus1() == 7 ); }
-#endif
   Void inferSpsMaxDecPicBufferingMinus1( TComVPS* vps, Int targetOptLayerSetIdx, Int currLayerId, Bool encoder );
 
@@ -2049,23 +1888,4 @@
   Bool getInterViewMvVertConstraintFlag()         { return m_interViewMvVertConstraintFlag;}
 
-#if !H_MV_HLS10_PPS
-  Void setNumScaledRefLayerOffsets( Int  val )    { m_numScaledRefLayerOffsets = val; } 
-  Int  getNumScaledRefLayerOffsets(  )            { return m_numScaledRefLayerOffsets; } 
-
-  Void setScaledRefLayerId( Int i, Int  val )     { m_scaledRefLayerId[i] = val; } 
-  Int  getScaledRefLayerId( Int i )               { return m_scaledRefLayerId[i]; } 
-
-  Void setScaledRefLayerLeftOffset( Int j, Int  val ) { m_scaledRefLayerLeftOffset[j] = val; } 
-  Int  getScaledRefLayerLeftOffset( Int j )           { return m_scaledRefLayerLeftOffset[j]; } 
-
-  Void setScaledRefLayerTopOffset( Int j, Int  val )  { m_scaledRefLayerTopOffset[j] = val; } 
-  Int  getScaledRefLayerTopOffset( Int j )            { return m_scaledRefLayerTopOffset[j]; } 
-
-  Void setScaledRefLayerRightOffset( Int j, Int  val ) { m_scaledRefLayerRightOffset[j] = val; } 
-  Int  getScaledRefLayerRightOffset( Int j )           { return m_scaledRefLayerRightOffset[j]; } 
-
-  Void setScaledRefLayerBottomOffset( Int j, Int  val ) { m_scaledRefLayerBottomOffset[j] = val; } 
-  Int  getScaledRefLayerBottomOffset( Int j )           { return m_scaledRefLayerBottomOffset[j]; } 
-#endif
   // Inference 
 
Index: branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 1075)
+++ branches/HTM-12.1-dev0/source/Lib/TLibCommon/TypeDef.h	(revision 1076)
@@ -368,30 +368,4 @@
 // TBD: Check if integration is necessary. 
 
-#define H_MV_HLS10_GEN                       0  // General changes (not tested)
-
-#define H_MV_HLS10_AUX                       1 // Auxiliary pictures
-#define H_MV_HLS10_GEN_FIX                   1
-#define H_MV_FIX_LOOP_GOPSIZE                1
-#define H_MV_FIX_SUB_LAYERS_MAX_MINUS1       1
-
-#define H_MV_HLS10_GEN_VSP_CONF_WIN          1  // VPS conformance window
-#define H_MV_HLS10_GEN_VSP_BASE_LAYER_AVAIL  1  // vps_base_layer_available
-#define H_MV_HLS10_REF_PRED_LAYERS           1  // reference and predicted layer derivation
-#define H_MV_HLS10_NESSECARY_LAYER           1  // necessary layers
-#define H_MV_HLS10_ADD_LAYERSETS             1  // additional layer sets
-#define H_MV_HLS10_DBP_SIZE                  1  // dpb size syntax structure
-#define H_MV_HLS10_MAXNUMPICS                1  // constraint on number of pictures in rps  
-#define H_MV_HLS10_PTL                       1  // profile tier level
-#define H_MV_HLS10_PTL_FIX                   1  // profile tier level fix
-#define H_MV_HLS10_PTL_INBL_FIX              1  // profile tier level fix 
-#define H_MV_HLS10_PTL_INFER_FIX             1  // fix inference ptl
-#define H_MV_HLS10_MULTILAYERSPS             1  // multilayer SPS extension 
-#define H_MV_HLS10_VPS_VUI                   1  // vsp vui
-#define H_MV_HLS10_VPS_VUI_BSP               1  // vsp vui bsp
-#define H_MV_HLS10_PPS                       1  // PPS modifications
-
-#define H_MV_HLS10_VPS_VUI_BSP_STORE         0  // Currently bsp vui bsp hrd parameters are not stored, some dynamic memory allocation with upper bounds is required. 
-
-
 #define H_MV_HLS7_GEN                        0  // General changes (not tested)
 
@@ -459,17 +433,11 @@
 #define MAX_NESTING_NUM_LAYER       64
 
-#if H_MV_HLS10_VPS_VUI_BSP
 #define MAX_VPS_NUM_HRD_PARAMETERS                1024
 #define MAX_NUM_SUB_LAYERS                        7
 #define MAX_NUM_SIGNALLED_PARTITIONING_SCHEMES    16
-#else
-#define MAX_VPS_NUM_HRD_PARAMETERS                1
-#endif
 
 #define MAX_VPS_OP_SETS_PLUS1                     1024
 #if H_MV
-#if H_MV_HLS10_ADD_LAYERSETS
 #define MAX_VPS_NUM_ADD_LAYER_SETS                1024
-#endif
 #define MAX_VPS_NUH_LAYER_ID_PLUS1  63
 #define MAX_NUM_SCALABILITY_TYPES   16
@@ -486,17 +454,7 @@
 #define MAX_VPS_PROFILE_TIER_LEVEL      64
 #define MAX_VPS_ADD_OUTPUT_LAYER_SETS   1024
-#if H_MV_HLS10_ADD_LAYERSETS
 #define MAX_VPS_OUTPUTLAYER_SETS        ( MAX_VPS_ADD_OUTPUT_LAYER_SETS + MAX_VPS_OP_SETS_PLUS1 + MAX_VPS_OP_SETS_PLUS1 )
-#else
-#define MAX_VPS_OUTPUTLAYER_SETS        ( MAX_VPS_ADD_OUTPUT_LAYER_SETS + MAX_VPS_OP_SETS_PLUS1 )
-#endif
 #define  MAX_NUM_VIDEO_SIGNAL_INFO      16
 #define MAX_NUM_SCALED_REF_LAYERS       MAX_NUM_LAYERS-1
-#if !H_MV_HLS10_VPS_VUI_BSP
-#define MAX_NUM_BSP_HRD_PARAMETERS      100 ///< Maximum value is actually not specified
-#define MAX_NUM_BITSTREAM_PARTITIONS    100 ///< Maximum value is actually not specified 
-#define MAX_NUM_BSP_SCHED_COMBINATION   100 ///< Maximum value is actually not specified 
-#define MAX_SUB_STREAMS                 1024
-#endif
 #else
 #define MAX_NUM_LAYER_IDS                64
@@ -969,15 +927,7 @@
     MAINSTILLPICTURE = 3,
 #if H_MV
-#if H_MV_HLS10_PTL
     MULTIVIEWMAIN = 6,
 #if H_3D
     MAIN3D = 8, 
-#endif
-#else
-    MAINSTEREO = 4,
-    MAINMULTIVIEW = 5,
-#if H_3D
-    MAIN3D = 6, 
-#endif
 #endif
 #endif
@@ -1022,8 +972,6 @@
 #endif    
     VIEW_ORDER_INDEX  = 1,
-#if H_MV_HLS10_AUX
     DEPENDENCY_ID = 2,
     AUX_ID = 3,
-#endif    
   };
 #endif
